AnsweredAssumed Answered

yocto bulid error  on ubuntu 14.04

Question asked by wang haibo on Mar 15, 2019
Latest reply on Mar 20, 2019 by Rita Wang
wang@wang-VirtualBox:~/fsl-release-bsp$  DISTRO=fsl-imx-x11 MACHINE=imx6qsabresd source fsl-setup-release.sh -b build-x11
 Build directory is  build-x11
Configuring for imx6qsabresd
  File "<string>", line 1
    import sys; print sys.version_info >= (2,7,3)
                        ^
SyntaxError: invalid syntax
BitBake requires Python 2.7.3 or later
 ERROR - No build directory is set yet. Run the 'setup-environment' script before running this script to create  .

wang@wang-VirtualBox:~/fsl-release-bsp/sources/poky$ python --version
Python 3.4.3

 

my python version is 3.4.3 is later than 2.7.3  .so What's the reason? 

Outcomes